Subject: Re: Fix outdated comments in catcache.h

From: David Rowley <[email-masked]>
Date: Mon, 5 Jan 2026 22:16:28 +1300

On Thu, 18 Dec 2025 at 19:29, cca5507 <[email-masked]> wrote:
> 473182c9523afad10e9507145690d902a0bc7f04 add a hash table for CatCList, this has
> made some comments outdated.
>
> Attach a small patch to fix it.

I agree that the comment about not dividing them into hash buckets
seems outdated now.

> - dlist_node cache_elem; /* list member of per-catcache list */
> + dlist_node cache_elem; /* list member of per-bucket list */

I'm not sure this is more informative. How about?

dlist_node cache_elem; /* member for CatCache.cc_lbucket[] dlist */

I also really wonder what the fascination with having lower-case
struct names with camelCased typedef names in this file... It's not
really clear if that comment should say "CatCache.cc_lbucket[]" or
"catcache.cc_lbucket[]". I find the latter clearer so used that.

David